Last Comment Bug 595997 - Malformed font leads to crash in Apple's ATSUI [@ProcessKerningRun]
: Malformed font leads to crash in Apple's ATSUI [@ProcessKerningRun]
Status: VERIFIED FIXED
: verified1.9.2
Product: Core
Classification: Components
Component: Graphics (show other bugs)
: 1.9.2 Branch
: x86 Mac OS X
: -- critical (vote)
: ---
Assigned To: Jonathan Kew (:jfkthame)
:
Mentors:
Depends on: CVE-2010-3768
Blocks: fuzzing-fonts
  Show dependency treegraph
 
Reported: 2010-09-13 14:04 PDT by Christoph Diehl [:posidron]
Modified: 2012-05-01 06:50 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
final+
.13-fixed
.16-fixed


Attachments
testcase (296.24 KB, application/zip)
2010-09-13 14:04 PDT, Christoph Diehl [:posidron]
no flags Details
callstack (12.91 KB, text/plain)
2010-09-13 14:05 PDT, Christoph Diehl [:posidron]
no flags Details

Description Christoph Diehl [:posidron] 2010-09-13 14:04:55 PDT
Created attachment 474820 [details]
testcase

Tag: b'kern' Checksum: 0x0007462f Offset:  428/0x000001ac Length: 35750

Table: b'kern'
Number of replaced values: 1
Offset: 3/0x000003  Values: ['00', '00', '00', '01']
Comment 1 Christoph Diehl [:posidron] 2010-09-13 14:05:14 PDT
Created attachment 474821 [details]
callstack
Comment 2 Jonathan Kew (:jfkthame) 2010-09-29 04:45:34 PDT
This will be fixed by the OTS sanitizer (bug 527276).
Comment 3 [On PTO until 6/29] 2010-11-18 13:51:28 PST
Verified for 1.9.2 with Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10.6; en-US; rv:1.9.2.13pre) Gecko/20101118 Namoroka/3.6.13pre. Testcase crashes 1.9.2.12 but not 1.9.2.13pre.

Note You need to log in before you can comment on or make changes to this bug.